Skip to main content
PUT
/
schedule
/
v1
/
holiday-calendar
/
{holidayCalendarId}
Update Holidays Calendar
curl --request PUT \
  --url https://api-{region}.sesametime.com/schedule/v1/holiday-calendar/{holidayCalendarId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "name": "Zona Valencia",
  "daysOff": [
    {
      "name": "New Year's Day",
      "date": "2021-01-01"
    }
  ]
}
EOF
import requests

url = "https://api-{region}.sesametime.com/schedule/v1/holiday-calendar/{holidayCalendarId}"

payload = {
"name": "Zona Valencia",
"daysOff": [
{
"name": "New Year's Day",
"date": "2021-01-01"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Zona Valencia',
daysOff: [{name: 'New Year\'s Day', date: '2021-01-01'}]
})
};

fetch('https://api-{region}.sesametime.com/schedule/v1/holiday-calendar/{holidayCalendarId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "37acce51-a7e3-498d-b235-5ae8f8682078",
    "name": "Zona Valencia",
    "companyId": "37acce51-a7e3-498d-b235-5ae8f8682078",
    "dayOff": [
      {
        "id": "15547588-2e7e-4ac2-8f8a-3dce978065ba",
        "name": "New Year's Day",
        "date": "2021-01-01"
      }
    ],
    "typeId": "37acce51-a7e3-498d-b235-5ae8f8682078",
    "default": false
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

holidayCalendarId
string<uuid>
required

Holiday Calendar Id

Body

application/json

Custom field object that needs to be updated

name
string
required

The name of the holidays

Example:

"Zona Valencia"

daysOff
object[]
required

Response

200 - application/json

Array of Objects

data
object
meta
object